class c4_BytesRef - Used to get or set binary object values.

<if !private>
operator c4_Bytes () const;
  Get the value as binary object

  <if !private>

c4_BytesRef (const c4_Reference&);
  Constructor

  <if !private>

c4_BytesRef& operator= (const c4_Bytes&);
  Set the value to the specified binary object

  <if !private>

bool c4_Reference::GetData (c4_Bytes&) const;
  Retrieve the value of the referenced data item

  <if !private>

int c4_Reference::GetSize () const;
  Return width of the referenced data item

  <if !private>

void c4_Reference::SetData (const c4_Bytes&) const;
  Store a value into the referenced data item

  <if !private>

c4_Cursor c4_Reference::_cursor;

  <if !private>

const c4_Property& c4_Reference::_property;

  <if !private>

c4_Reference& c4_Reference::operator= (const c4_Reference&);
  Assignment of one data item

class c4_BytesRef